LettrLabs API
API ReferenceAutomations

Add a recipient to an integration order

Adds one recipient to an integration order, validating and standardizing the address before queueing the mail piece for that recipient.

POST
/v1/integration-orders/{id}/recipients

Adds one recipient to an integration order, validating and standardizing the address before queueing the mail piece for that recipient.

X-API-KEY<token>

In: header

Path Parameters

id*integer

ID of integration order to add recipient to.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Represents an integration order recipient.

id*integer

Gets or sets the ID of the recipient.

firstName*|

Gets or sets the first name of the recipient.

lastName*|

Gets or sets the last name of the recipient.

toOrganization*|

Gets or sets the organization of the recipient.

address1*|

Gets or sets the address line 1 of the recipient.

address2*|

Gets or sets the address line 2 of the recipient.

city*|

Gets or sets the city of the recipient.

state*|

Gets or sets the state of the recipient.

zipCode*|

Gets or sets the zip code of the recipient.

country*|

Gets or sets the country of the recipient.

custom1*|

Gets or sets the custom field 1 of the recipient.

custom2*|

Gets or sets the custom field 2 of the recipient.

custom3*|

Gets or sets the custom field 3 of the recipient.

custom4*|

Gets or sets the custom field 4 of the recipient.

custom5*|

Gets or sets the custom field 5 of the recipient.

custom6*|

Gets or sets the custom field 6 of the recipient.

image1*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 1. Resolved per recipient at send time; falls back to the template default when blank/invalid.

image2*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 2. Resolved per recipient at send time; falls back to the template default when blank/invalid.

image3*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 3. Resolved per recipient at send time; falls back to the template default when blank/invalid.

image4*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 4. Resolved per recipient at send time; falls back to the template default when blank/invalid.

image5*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 5. Resolved per recipient at send time; falls back to the template default when blank/invalid.

image6*|

Gets or sets the public image URL for variable image (Mail-Merge Image) slot 6. Resolved per recipient at send time; falls back to the template default when blank/invalid.

salutation*|

Gets or sets the salutation of the recipient.

birthDay*|

Gets or sets the birthday of the recipient.

anniversary*|

Gets or sets the anniversary of the recipient.

returnTitle*|

Gets or sets the return title of the recipient.

returnFirstName*|

Gets or sets the return first name of the recipient.

returnLastName*|

Gets or sets the return last name of the recipient.

returnOrganization*|

Gets or sets the return organization of the recipient.

returnAddress1*|

Gets or sets the return address line 1 of the recipient.

returnAddress2*|

Gets or sets the return address line 2 of the recipient.

returnCity*|

Gets or sets the return city of the recipient.

returnState*|

Gets or sets the return state of the recipient.

returnZip*|

Gets or sets the return zip code of the recipient.

qrUrl*|

Gets or sets the QR code URL of the recipient.

email*|

Gets or sets the email address of the recipient.

fullAddress*|

Gets or sets the full address of the recipient.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/integration-orders/0/recipients" \  -H "Content-Type: application/json" \  -d '{    "id": 0,    "firstName": "string",    "lastName": "string",    "toOrganization": "string",    "address1": "string",    "address2": "string",    "city": "string",    "state": "string",    "zipCode": "string",    "country": "string",    "custom1": "string",    "custom2": "string",    "custom3": "string",    "custom4": "string",    "custom5": "string",    "custom6": "string",    "image1": "string",    "image2": "string",    "image3": "string",    "image4": "string",    "image5": "string",    "image6": "string",    "salutation": "string",    "birthDay": "2019-08-24T14:15:22Z",    "anniversary": "2019-08-24T14:15:22Z",    "returnTitle": "string",    "returnFirstName": "string",    "returnLastName": "string",    "returnOrganization": "string",    "returnAddress1": "string",    "returnAddress2": "string",    "returnCity": "string",    "returnState": "string",    "returnZip": "string",    "qrUrl": "string",    "email": "string",    "fullAddress": "string"  }'
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
Empty
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "success": true,    "errorMessage": "string",    "reasonCode": "RETURN_ADDRESS_PARTIAL",    "integrationOrderId": 0,    "recipientDetails": {      "firstName": "string",      "lastName": "string",      "processedAddress": "string",      "addressValidated": true    }  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}
{  "profile": {    "id": 0,    "aadId": "1cbad290-069a-4527-be23-a0c144b5302d",    "email": "string",    "firstName": "string",    "lastName": "string",    "company": "string",    "created": "2019-08-24T14:15:22Z",    "shouldProcessQrCodes": true  },  "payload": {    "id": 0,    "name": "string",    "createdDate": "2019-08-24T14:15:22Z",    "updatedDate": "2019-08-24T14:15:22Z",    "postageType": "Standard",    "integrationOrderStatus": "Active"  },  "errorCode": "UNAUTHENTICATED",  "errors": [    "string"  ],  "hasErrors": true,  "warnings": [    "string"  ],  "hasWarnings": true,  "errorDetails": [    null  ],  "metadata": {    "property1": null,    "property2": null  }}